CUDA_LAUNCH_PARAMS(3)

NAME
CUDA_LAUNCH_PARAMS -

SYNOPSIS

  Data Fields

unsigned int blockDimX
unsigned int blockDimY
unsigned int blockDimZ
CUfunction function
unsigned int gridDimX
unsigned int gridDimY
unsigned int gridDimZ
CUstream hStream
void ** kernelParams
unsigned int sharedMemBytes

Detailed Description

Kernel launch parameters

Field Documentation

  unsigned int CUDA_LAUNCH_PARAMS::blockDimX

X dimension of each thread block

  unsigned int CUDA_LAUNCH_PARAMS::blockDimY

Y dimension of each thread block

  unsigned int CUDA_LAUNCH_PARAMS::blockDimZ

Z dimension of each thread block

  CUfunction CUDA_LAUNCH_PARAMS::function

Kernel to launch

  unsigned int CUDA_LAUNCH_PARAMS::gridDimX

Width of grid in blocks

  unsigned int CUDA_LAUNCH_PARAMS::gridDimY

Height of grid in blocks

  unsigned int CUDA_LAUNCH_PARAMS::gridDimZ

Depth of grid in blocks

  CUstream CUDA_LAUNCH_PARAMS::hStream

Stream identifier

  void** CUDA_LAUNCH_PARAMS::kernelParams

Array of pointers to kernel parameters

  unsigned int CUDA_LAUNCH_PARAMS::sharedMemBytes

Dynamic shared-memory size per thread block in bytes

Author

Generated automatically by Doxygen from the source code.